function save_snapshots(savefolder,simno,SSpos,SSend)
% This will save the snapshot sea surface elevation and voriticity.
% INPUT:
% savefolder: location where processed data will be saved
% simno: number of simulation that represents forcing
% SSpos: start time for snapshots
% SSend: end time for snapshots
% OUTPUT:
% sim#_snapshot_####-####.mat: .mat file with the spectra at each location
% sim#_Hs.mat: significant wave height calc from 4std and spectra
% sim#_period.mat: peak and energy spectra

display('Start save_snapshots.')

%% STEP 1: Load data
F1 = matfile([savefolder,'sim',simno,'_waterlevel.mat']);
F2 = matfile([savefolder,'sim',simno,'_velocity.mat']);
F3 = matfile([savefolder,'sim',simno,'_vorticity.mat']);
sname1 = [savefolder,'sim',simno,'_snapshots_',num2str(SSpos),'-',num2str(SSend),'.mat'];

%% STEP 2: Use if want specific location over time
%tpos   = orig.BD15.t.wlev(1)+1;
%tend   = orig.BD15.t.wlev(end)+1;
% xp = fliplr(900-xp)+50;
% yp = -244+yp;

% xpos = find(xp(1,:)==54);
% xend = find(xp(1,:)==502);
% ypos = find(yp(:,1)==266);
% yend = find(yp(:,1)==998);

%% STEP 3: Get times for when we want to plot

wlev   = squeeze(F1.wlev(:,:,SSpos:SSend));
vel_u  = squeeze(F2.vel_u(:,:,SSpos:SSend));
vel_v  = squeeze(F2.vel_v(:,:,SSpos:SSend));
vort  = squeeze(F3.vort(:,:,SSpos:SSend));

%% STEP 4: Save Data

eval(['save -v7.3 ',sname1,' wlev',' vel_u',' vel_v',' vort']);

display('Snapshot saved.')

end